DragonFly BSD
DragonFly users List (threaded) for 2005-08
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re: attempted upgrade killed vinum

From: Joerg Sonnenberger <joerg@xxxxxxxxxxxxxxxxx>
Date: Thu, 11 Aug 2005 09:26:20 +0200
Mail-followup-to: users@crater.dragonflybsd.org

On Thu, Aug 11, 2005 at 01:36:41AM -0500, Jake Maciejewski wrote:
> I attempted to upgrade my dual PII fileserver from 1.2.0-RELEASE. I
> wasn't paying attention to my supfile and ended up downloading HEAD.
> Everything built fine and I installed the kernel. Even if I start in
> single-user mode, the new kernel panics when I try to load a shell, but
> a HEAD kernel (even with COMPAT_DF12) isn't supposed to work on my
> current userland, right?

A new kernel should run with old userland. Can you give me the panic and
if possible a stack trace? Have you installed a new world or not? If
not, you can just boot with /kernel.old, maybe even explicitly loading
/modules.old/vinum.ko to ensure that it gets the corrct version.


[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]